Subject: bug#73891: closed (Re: bug#73891: [PATCH] Add ability to crossfade between songs in 'mpc')

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 21 Oct 2024 18:23:02 +0000

Your bug report

#73891: [PATCH] Add ability to crossfade between songs in 'mpc'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73891: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73891
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73891: [PATCH] Add ability to crossfade between songs in 'mpc'
From: john muhl <[email-masked]>
To: [email-masked]
Date: Mon, 21 Oct 2024 13:21:49 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks.

Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> writes:

> john muhl [2024-10-19 16:40:27] wrote:
>> p.s. I noticed the use of (cdr (assq 'etc ...)) throughout and
>> guessed that was because mpc predates alist-get
>
> That's right.
>
>> but if there is a preference I can change it to match the other
>> mpc-toggle-* functions.
>
> No, no, `alist-get` is fine, thanks.
>
>> And the patch...
>
> Pushed to `master`, thanks.
>
>
>         Stefan

Subject: [PATCH] Add ability to crossfade between songs in 'mpc'
From: john muhl <[email-masked]>
To: [email-masked]
Date: Sat, 19 Oct 2024 16:24:36 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Tags: patch

Another small addition for mpc so that you can toggle the
crossfader.

p.s. I noticed the use of (cdr (assq 'etc ...)) throughout and
guessed that was because mpc predates alist-get but if there is a
preference I can change it to match the other mpc-toggle-*
functions.